* PROCESO: 2011. 
*---------------------------------------------------------------------------------------------------------------------------------------------------------------------.
* CUADRO N. 10	  2011 		SECTOR PRIVADO CON FINES DE LUCRO (PARTE C) .
* EGRESOS HOSPITALARIOS POR CONDICION AL EGRESO, DIAS Y PROMEDIO DE ESTADA.
* TASAS DE MORTALIDAD HOSPITALARIA, SEGN SECTOR, CLASE Y ESTABLECIMIENTO HOSPITALARIO .
-----------------------------------------------------------------------------------.
*------------------------------------------------------------------------------------------------------------.
* seleccionar el SECTOR PRIVADO CFL. 
USE ALL.
COMPUTE filter_$=(sector="2" and (clase="01" or clase="02" or
  clase="03" or clase="04" or clase="05" or clase="06" or
  clase="07" or clase="08" or clase="09" or clase="10" or
  clase="11" or clase="12" or clase="13" or clase="14" or
  clase="15" or clase="16" or clase="17")).
VARIABLE LABEL filter_$ 'sector="2" and (clase="01" or clase="02" or'+
 ' clase="03" or clase="04" or clase="05" or clase... (FILTER)'.
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t0 = 1.
compute t1 = 1.

*Definicin de variables para la condicin de egreso.
* En el formato del cuadro.
*-----------------------------------------------------------------------------.
if con_egrpa = "01" altas = 1.
if con_egrpa = "01" daltas = dia_estad.
if con_egrpa = "02" men48 = 1.
if con_egrpa = "02" dmen48 = dia_estad.
if con_egrpa = "03" mas48 = 1.
if con_egrpa = "03" dmas48 = dia_estad.
if con_egrpa = "02" or con_egrpa = "03" bajas = 1.
if con_egrpa = "02" or con_egrpa = "03" dbajas = dia_estad.
EXECUTE.

*------------------------------------------------------------.
* Para agrupar las sectores con entidades.
*------------------------------------------------------------.
STRING wclase1 (A1).
COMPUTE wclase1 = '9'.

if (clase = '01' or clase = '02'  or clase = '03'  or clase = '04'  or clase = '05'  or clase = '06'  or clase = '07'  or clase = '08' or clase = '09' or clase = '10' or clase = '11'  )  wclase1 = '1'.
if (clase = '13'  or clase = '14' or clase = '15' or clase = '16' or clase = '17' ) wclase1 = '2'.
if (clase = '12' )   wclase1 = '3'.

* Resto de clases  y tipos.
*------------------------------------------.
*   Definicin de Etiquetas.
*------------------------------------------.
VAR LABEL 
	t0   'Total Egresos' 
	t1   'Total Tipo'
	t2   'Total Clase'
	/daltas 'Altas'
	/dbajas 'Fallecidos'
	/dmen48 'Menos de 48 horas'
	/dmas48 '48 Horas y ms'
	/altas  'Egresos'
	/bajas 'Fallecidos'
	/men48  'Egresos menos 48 Horas'
	/mas48  'Egresos 48 horas y ms'
.

VALUE LABEL 
	t0 1	' '
	/t1 1      ' '
	/t2 1      ' '
	/wclase1
	'1'	'Hospitales Privados con Fines de Lucro'
	'2'	'Clnica Especializada'
	'3'	'Clnica General'
            '9'         'ERRADA'
	

*----------------------------------------------------------------------------------------.
* Para los totales del sector Privado.
* De preferencia la salida colocrlo en otro archivo de totales. 
*----------------------------------------------------------------------------------------.
TABLES
/OBSERVATION dia_estad daltas dbajas
/TABLE t0 +  (t1>wclase1) 
	 by t0+dia_estad+(altas+daltas+bajas+men48+mas48+dbajas)
/STATISTICS SUM((f6)"Das Estada")  MEAN((f3.1)'Promedio Das Estada')
/TITLES 'Cuadro N. 10		Sector Privado con Fines de Lucro'
	'Egresos Hospitalarios por Condicin al Egreso, Das y Promedio de Estada'
	'Tasas de Mortalidad Hospitalaria, segn Sector, Clase y Establecimiento Hospitalario'
/CORNER. 'Sector Privado'.
EXECUTE.

*********************************************************************.
* Detalle del cuadro   PARTE C. 
*********************************************************************.

TABLES
/OBSERVATION dia_estad daltas dbajas
/TABLE t0 +  (wclase1) >(prov_ubie >cod_est> par_ubie)
	 by t0+dia_estad+(altas+daltas+bajas+men48+mas48+dbajas)
/STATISTICS SUM((f6)"Das Estada")  MEAN((f3.1)'Promedio Das Estada')
/TITLES 'Cuadro N. 10		Sector Privado con Fines de Lucro'
	'Egresos Hospitalarios por Condicin al Egreso, Das y Promedio de Estada'
	'Tasas de Mortalidad Hospitalaria, segn Sector, Clase y Establecimiento Hospitalario'
/CORNER. 'Sector Privado'.
EXECUTE.

******* Despus de ejecutar el cuadro para seleccionar todos los casos.
FILTER OFF.
USE ALL.
EXECUTE .
***************************************************************************.
* FIN PARTE C.
***************************************************************************.
